Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.reflect
Class StaticInitializationInfoImpl

    java.lang.Object
      org.codehaus.aspectwerkz.reflect.StaticInitializationInfoImpl

All Implemented Interfaces:
  MemberInfo, ReflectionInfo, StaticInitializationInfo

    public class StaticInitializationInfoImpl

extends Object
implements StaticInitializationInfo

Sole implementation of `StaticInitializationInfo`.

Author:
  Alex Popescu

Field Summary
`protected ClassInfo` | `m_declaringType`

Constructor Summary
`StaticInitializationInfoImpl(ClassInfo classInfo)`

Method Summary
`List` | `getAnnotations()` Returns the annotation infos.
`ClassInfo` | `getDeclaringType()` Returns the declaring type.
`int` | `getModifiers()` Returns the class modifiers.
`String` | `getName()` Returns the name element.
`String` | `getSignature()` Returns the signature for the element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_declaringType

    protected ClassInfo m_declaringType

Constructor Detail

### StaticInitializationInfoImpl

    public StaticInitializationInfoImpl(ClassInfo classInfo)

Method Detail

### getDeclaringType

    public ClassInfo getDeclaringType()

  Description copied from interface: `MemberInfo`
  Returns the declaring type.

  Specified by:
    `getDeclaringType` in interface `MemberInfo`
  Returns:
    the declaring type
  See Also:
    `MemberInfo.getDeclaringType()`

### getName

    public String getName()

  Description copied from interface: `ReflectionInfo`
  Returns the name element. If the element is an array class, its name is as a human writes it: java.lang.String[]

  Specified by:
    `getName` in interface `ReflectionInfo`
  Returns:
    the name of the element
  See Also:
    `ReflectionInfo.getName()`

### getSignature

    public String getSignature()

  Description copied from interface: `ReflectionInfo`
  Returns the signature for the element.

  Specified by:
    `getSignature` in interface `ReflectionInfo`
  Returns:
    the signature for the element
  See Also:
    `ReflectionInfo.getSignature()`

### getModifiers

    public int getModifiers()

  Description copied from interface: `ReflectionInfo`
  Returns the class modifiers.

  Specified by:
    `getModifiers` in interface `ReflectionInfo`
  Returns:
    the class modifiers
  See Also:
    `ReflectionInfo.getModifiers()`

### getAnnotations

    public List getAnnotations()

  Description copied from interface: `ReflectionInfo`
  Returns the annotation infos.

  Specified by:
    `getAnnotations` in interface `ReflectionInfo`
  Returns:
    the annotations infos
  See Also:
    `ReflectionInfo.getAnnotations()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.